Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.config.swing
Class TreeConfigEditor.ConfigureTreeModel

    java.lang.Object
      org.crosswire.common.config.swing.TreeConfigEditor.ConfigureTreeModel

All Implemented Interfaces:
  TreeModel

Direct Known Subclasses:
  AdvancedConfigEditor.AdvancedConfigureTreeModel

Enclosing class:
  TreeConfigEditor

    protected class TreeConfigEditor.ConfigureTreeModel

extends Object
implements TreeModel

A custom data model for the TreeConfig Tree

Author:
  Claude Duguay, Joe Walker

Field Summary
`protected EventListenerList` | `listeners` The Listeners.
`private TreeConfigEditor.Node` | `root` The root node

Constructor Summary
`protected` | `TreeConfigEditor.ConfigureTreeModel()`

Method Summary
`void` | `addTreeModelListener(TreeModelListener li)`
`protected void` | `fireTreeStructureChanged(Object source)` Notify all listeners that have registered interest for notification on this event type.
`protected void` | `fireTreeStructureChanged(Object source, Object... path)` Notify all listeners that have registered interest for notification on this event type.
`Object` | `getChild(Object parent, int index)`
`int` | `getChildCount(Object parent)`
`protected List<String>` | `getChildren(String path)` Get a List of the children rooted at path
`int` | `getIndexOfChild(Object parent, Object child)`
`Object` | `getRoot()`
`boolean` | `isLeaf(Object node)`
`void` | `removeTreeModelListener(TreeModelListener li)`
`void` | `valueForPathChanged(TreePath path, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listeners

    protected EventListenerList listeners

  The Listeners.

### root

    private TreeConfigEditor.Node root

  The root node

Constructor Detail

### TreeConfigEditor.ConfigureTreeModel

    protected TreeConfigEditor.ConfigureTreeModel()

Method Detail

### getRoot

    public Object getRoot()

  Specified by:
    `getRoot` in interface `TreeModel`

### getChildren

    protected List<String> getChildren(String path)

  Get a List of the children rooted at path

### getChild

    public Object getChild(Object parent,
                           int index)

  Specified by:
    `getChild` in interface `TreeModel`

### getChildCount

    public int getChildCount(Object parent)

  Specified by:
    `getChildCount` in interface `TreeModel`

### isLeaf

    public boolean isLeaf(Object node)

  Specified by:
    `isLeaf` in interface `TreeModel`

### valueForPathChanged

    public void valueForPathChanged(TreePath path,
                                    Object value)

  Specified by:
    `valueForPathChanged` in interface `TreeModel`

### getIndexOfChild

    public int getIndexOfChild(Object parent,
                               Object child)

  Specified by:
    `getIndexOfChild` in interface `TreeModel`

### addTreeModelListener

    public void addTreeModelListener(TreeModelListener li)

  Specified by:
    `addTreeModelListener` in interface `TreeModel`

### removeTreeModelListener

    public void removeTreeModelListener(TreeModelListener li)

  Specified by:
    `removeTreeModelListener` in interface `TreeModel`

### fireTreeStructureChanged

    protected void fireTreeStructureChanged(Object source)

  Notify all listeners that have registered interest for notification on this event type. The event instance is lazily created using the parameters passed into the fire method.

  See Also:
    `EventListenerList`

### fireTreeStructureChanged

    protected void fireTreeStructureChanged(Object source,
                                            Object... path)

  Notify all listeners that have registered interest for notification on this event type. The event instance is lazily created using the parameters passed into the fire method.

  See Also:
    `EventListenerList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD